INSERT INTO LevelInfo (Name, FileName, PackName, Unlocked, ParTime, CollectibleFound) 
SELECT 'LN_STAY_OUTTA_SIGHT', '/Mickey/Levels/lotw_001A_stay_outta_sight', 'LP_LOTW_MICKEY', 1, 60, 0
WHERE NOT EXISTS (SELECT Name FROM LevelInfo WHERE Name = 'LN_STAY_OUTTA_SIGHT');

INSERT INTO InspiredByLevelInfo (Storyline, PackName, DisplayOrder, LevelName, ShortsInfoName)
SELECT 1000, 'LP_LOTW_MICKEY', 1, 'LN_STAY_OUTTA_SIGHT', 'IBS_NoService'
WHERE NOT EXISTS (SELECT LevelName FROM InspiredByLevelInfo WHERE LevelName = 'LN_STAY_OUTTA_SIGHT');

INSERT INTO InspiredByShortsInfo (Name, Title, URL, Texture, DisplayOrder)
SELECT 'IBS_NoService', 
	   'SHORT_NO_SERVICE', 
	   'http://redirect.m.go.com/wmm/cartoons', 
	   '/Mickey/Textures/Short_Croissant.webp',
	   -1	   
WHERE NOT EXISTS (SELECT Name FROM InspiredByShortsInfo WHERE Name = 'IBS_NoService');

----------------------------------------------------------------------------------------------------------

INSERT INTO LevelInfo (Name, FileName, PackName, Unlocked, ParTime, CollectibleFound) 
SELECT 'LN_CLIMB_THE_MOUNTAIN', '/Mickey/Levels/lotw_002A_climb_the_mountain', 'LP_LOTW_MICKEY', 1, 60, 0
WHERE NOT EXISTS (SELECT Name FROM LevelInfo WHERE Name = 'LN_CLIMB_THE_MOUNTAIN');

INSERT INTO InspiredByLevelInfo (Storyline, PackName, DisplayOrder, LevelName, ShortsInfoName)
SELECT 1000, 'LP_LOTW_MICKEY', 1, 'LN_CLIMB_THE_MOUNTAIN', 'IBS_Yodelberg'
WHERE NOT EXISTS (SELECT LevelName FROM InspiredByLevelInfo WHERE LevelName = 'LN_CLIMB_THE_MOUNTAIN');

INSERT INTO InspiredByShortsInfo (Name, Title, URL, Texture, DisplayOrder)
SELECT 'IBS_Yodelberg', 
 	   'SHORT_YODELBERG', 
	   'http://redirect.m.go.com/wmm/cartoons', 
	   '/Mickey/Textures/Short_Croissant.webp',
	   -1
WHERE NOT EXISTS (SELECT Name FROM InspiredByShortsInfo WHERE Name = 'IBS_Yodelberg');

----------------------------------------------------------------------------------------------------------

INSERT INTO LevelInfo (Name, FileName, PackName, Unlocked, ParTime, CollectibleFound) 
SELECT 'LN_TRIUMPHANT', '/Mickey/Levels/lotw_003A_triumphant', 'LP_LOTW_GOOFY', 1, 60, 0
WHERE NOT EXISTS (SELECT Name FROM LevelInfo WHERE Name = 'LN_TRIUMPHANT');

INSERT INTO InspiredByLevelInfo (Storyline, PackName, DisplayOrder, LevelName, ShortsInfoName)
SELECT 1001, 'LP_LOTW_GOOFY', 1, 'LN_TRIUMPHANT', 'IBS_Croissant'
WHERE NOT EXISTS (SELECT LevelName FROM InspiredByLevelInfo WHERE LevelName = 'LN_TRIUMPHANT');

INSERT INTO InspiredByShortsInfo (Name, Title, URL, Texture, DisplayOrder)
SELECT 'IBS_Croissant', 
	   'SHORT_CROISSANT_DE_TRIOMPHE', 
	   'http://redirect.m.go.com/wmm/cartoons', 
	   '/Mickey/Textures/Short_Croissant.webp',
	   -1
WHERE NOT EXISTS (SELECT Name FROM InspiredByShortsInfo WHERE Name = 'IBS_Croissant');

----------------------------------------------------------------------------------------------------------

INSERT INTO LevelInfo (Name, FileName, PackName, Unlocked, ParTime, CollectibleFound) 
SELECT 'LN_HOT_PURSUIT', '/Mickey/Levels/lotw_004A_hot_pursuit', 'LP_LOTW_GOOFY', 1, 60, 0
WHERE NOT EXISTS (SELECT Name FROM LevelInfo WHERE Name = 'LN_HOT_PURSUIT');

INSERT INTO InspiredByLevelInfo (Storyline, PackName, DisplayOrder, LevelName, ShortsInfoName)
SELECT 1001, 'LP_LOTW_GOOFY', 1, 'LN_HOT_PURSUIT', 'IBS_NewYorkWeenie'
WHERE NOT EXISTS (SELECT LevelName FROM InspiredByLevelInfo WHERE LevelName = 'LN_HOT_PURSUIT');

INSERT INTO InspiredByShortsInfo (Name, Title, URL, Texture, DisplayOrder)
SELECT 'IBS_NewYorkWeenie', 
	   'SHORT_NEW_YORK_WEENIE', 
	   'http://redirect.m.go.com/wmm/cartoons', 
	   '/Mickey/Textures/Short_Croissant.webp',
	   -1	   
WHERE NOT EXISTS (SELECT Name FROM InspiredByShortsInfo WHERE Name = 'IBS_NewYorkWeenie');

----------------------------------------------------------------------------------------------------------

INSERT INTO LevelInfo (Name, FileName, PackName, Unlocked, ParTime, CollectibleFound) 
SELECT 'LN_TRAIN_TO_CATCH', '/Mickey/Levels/lotw_005A_train_to_catch', 'LP_LOTW_MICKEY', 1, 60, 0
WHERE NOT EXISTS (SELECT Name FROM LevelInfo WHERE Name = 'LN_TRAIN_TO_CATCH');

INSERT INTO InspiredByLevelInfo (Storyline, PackName, DisplayOrder, LevelName, ShortsInfoName)
SELECT 1000, 'LP_LOTW_MICKEY', 1, 'LN_TRAIN_TO_CATCH', 'IBS_LocoMotion'
WHERE NOT EXISTS (SELECT LevelName FROM InspiredByLevelInfo WHERE LevelName = 'LN_TRAIN_TO_CATCH');

INSERT INTO InspiredByShortsInfo (Name, Title, URL, Texture, DisplayOrder)
SELECT 'IBS_LocoMotion', 
	   'SHORT_TOKYO_GO', 
	   'http://redirect.m.go.com/wmm/cartoons', 
	   '/Mickey/Textures/Short_Croissant.webp',
	   -1	   
WHERE NOT EXISTS (SELECT Name FROM InspiredByShortsInfo WHERE Name = 'IBS_LocoMotion');

----------------------------------------------------------------------------------------------------------

INSERT INTO LevelInfo (Name, FileName, PackName, Unlocked, ParTime, CollectibleFound) 
SELECT 'LN_BEAT_THE_HEAT', '/Mickey/Levels/lotw_006A_beat_the_heat', 'LP_LOTW_MICKEY', 1, 60, 0
WHERE NOT EXISTS (SELECT Name FROM LevelInfo WHERE Name = 'LN_BEAT_THE_HEAT');

INSERT INTO InspiredByLevelInfo (Storyline, PackName, DisplayOrder, LevelName, ShortsInfoName)
SELECT 1000, 'LP_LOTW_MICKEY', 1, 'LN_BEAT_THE_HEAT', 'IBS_StayinCool'
WHERE NOT EXISTS (SELECT LevelName FROM InspiredByLevelInfo WHERE LevelName = 'LN_BEAT_THE_HEAT');

INSERT INTO InspiredByShortsInfo (Name, Title, URL, Texture, DisplayOrder)
SELECT 'IBS_StayinCool', 
	   'SHORT_STAYIN_COOL', 
	   'http://redirect.m.go.com/wmm/cartoons', 
	   '/Mickey/Textures/Short_Croissant.webp',
	   -1	   
WHERE NOT EXISTS (SELECT Name FROM InspiredByShortsInfo WHERE Name = 'IBS_StayinCool');